# Uses of Class
org.opensaml.core.xml.NamespaceManager

Packages that use NamespaceManager
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.

## Uses of NamespaceManager in org.opensaml.core.xml

Fields in org.opensaml.core.xml declared as NamespaceManager
Modifier and Type
Field
Description
`private NamespaceManager`
AbstractXMLObject.`nsManager`
The namespace manager for this XML object.
Methods in org.opensaml.core.xml that return NamespaceManager
Modifier and Type
Method
Description
`NamespaceManager`
AbstractXMLObject.`getNamespaceManager()`
Gets the `NamespaceManager` instance for this object.
`NamespaceManager`
AbstractXSAnyAdapter.`getNamespaceManager()`
Gets the `NamespaceManager` instance for this object.
`NamespaceManager`
XMLObject.`getNamespaceManager()`
Gets the `NamespaceManager` instance for this object.